Summary:	A library to play Commodore 64 music
Summary(pl.UTF-8):	Biblioteka do odtwarzania muzyki z Commodore 64
Name:		libsidplayfp
Version:	2.6.0
Release:	1
License:	GPL v2+
Group:		Libraries
Source0:	http://downloads.sourceforge.net/sidplay-residfp/%{name}-%{version}.tar.gz
# Source0-md5:	c3fd6876b3e1729b6f612881917789f2
URL:		http://sourceforge.net/projects/sidplay-residfp/
BuildRequires:	autoconf >= 2.62
BuildRequires:	automake
BuildRequires:	exsid-driver-devel >= 2.0
BuildRequires:	libgcrypt-devel >= 1.8
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:2
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libsidplayfp (and its console frontend sidplayfp) is a fork of
sidplay2 born with the aim to improve the quality of emulating the
6581, 8580 chips and the surrounding C64 system in order to play SID
music better.

%description -l pl.UTF-8
Libsidplayfp (i jego konsolowy interfejs sidplayfp) to odgałęzienie
sidplay2 mające na celu poprawienie jakości emulacji układów 6581 i 8580
wraz z systemem C64, aby lepiej odtwarzać muzykę SID.

%package devel
Summary:	Header files for compiling apps that use libsidplayfp
Summary(pl.UTF-8):	Pliki nagłówkowe do budowania aplikacji używających libsidplayfp
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
This package contains the header files for compiling applications that
use libsidplayfp.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe do budowania aplikacji używających
biblioteki libsidplayfp.

%package static
Summary:	Static libsidplayfp library
Summary(pl.UTF-8):	Statyczna biblioteka libsidplayfp
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains static version of libsidplayfp.

%description static -l pl.UTF-8
Ten pakiet zawiera statyczną wersję libsidplayfp.

%prep
%setup -q

%build
%configure \
	--enable-shared \
	--enable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README TODO
%attr(755,root,root) %ghost %{_libdir}/libsidplayfp.so.6
%attr(755,root,root) %{_libdir}/libsidplayfp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libstilview.so.0
%attr(755,root,root) %{_libdir}/libstilview.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsidplayfp.so
%attr(755,root,root) %{_libdir}/libstilview.so
%{_includedir}/sidplayfp
%{_includedir}/stilview
%{_pkgconfigdir}/libsidplayfp.pc
%{_pkgconfigdir}/libstilview.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libsidplayfp.a
%{_libdir}/libstilview.a
%changelog
* Wed Mar 06 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libsidplayfp.git;a=log;h=master

* Wed Mar 06 2024 Jakub Bogusz <qboosh@pld-linux.org> 065fc9a
- updated to 2.6.0

* Wed Mar 08 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 78c44dd
- up to 2.4.1

* Sat Feb 18 2017 Jakub Bogusz <qboosh@pld-linux.org> dde2459
- updated to 1.8.7

* Fri Jun 24 2016 Jakub Bogusz <qboosh@pld-linux.org> 940f7e6
- updated to 1.8.6

* Sun Feb 28 2016 Jakub Bogusz <qboosh@pld-linux.org> c7f03b4
- updated to 1.8.4

* Sun Oct 18 2015 Jakub Bogusz <qboosh@pld-linux.org> a4f0b43
- updated to 1.8.2 (note: new soname)

* Mon May 04 2015 Jan Rękorajski <baggins@pld-linux.org> d295bf9
- x32 rebuild
- release 2 (by relup.sh)

* Sun Nov 03 2013 Jakub Bogusz <qboosh@pld-linux.org> 482b3b6
- updated to 1.1.0
- pl

* Sun Jun 30 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> b1e8324
- initial

